Deployments.ai Docs
System

List open operator access across the install

GET /v1/system/operator-access · SDK listSystemOperatorAccess · CLI deployments system access-list

GET
/v1/system/operator-access

Requires platform:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100
organizationId?string

Only open access to this organization.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListSystemOperatorAccessResponse

application/json
  1. response
items*array<>
nextCursor*|null
curl -X GET "https://example.com/v1/system/operator-access"
{  "items": [    {      "closedAt": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z",      "grantId": "string",      "openedAt": "2019-08-24T14:15:22Z",      "organizationId": "string",      "principalId": "string",      "reason": "string",      "status": "closed",      "ticket": "string"    }  ],  "nextCursor": "string"}